[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.WriteReportToStream

Write the contents of the tree consistency check to the stream

## Declaration

Source position: avl_tree.pp line 108

`public procedure TAVLTree.WriteReportToStream(`
`s: TStream;`
`var StreamSize: Int64`
`);`

## Arguments

`s` |  | Stream to write the tree report to
`StreamSize` |  | Total number of bytes written

## Description

WriteReportToStream writes a visual representation of the tree to the stream S. The total number of written bytes is returnes in StreamSize. This method is only useful for debugging purposes.

## See also

TAVLTree.ConsistencyCheck |  | Check the consistency of the tree

Documentation generated on: Feb 26 2014